Announcement

Collapse
No announcement yet.

When cant I inform my users that HS3 plugins won't work with HS4?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    When cant I inform my users that HS3 plugins won't work with HS4?

    When cant I inform my users that HS3 plugins won't work with HS4?
    And tell them that I have to re-write the plugins to work with HS4 (if I have time)?
    And that they will have to pay for upgrade?

    #2
    Originally posted by alexbk66 View Post
    When cant I inform my users that HS3 plugins won't work with HS4?
    And tell them that I have to re-write the plugins to work with HS4 (if I have time)?
    And that they will have to pay for upgrade?
    jseer When can we release this information?

    Certain users are running all around the forum repeating that HS3 plugins work with HS4... this simply is not true. They may "run" but they do not work with the new UI and will require massive effort to re-write to work with the HS4 UI and new SDK. HS3 plugins do not work with HS4 and that needs to be clarified to users.

    Comment


      #3
      Hello,

      I fully agree with Alexbk66 and Simplextech and I advise HST to reconsider your communication regarding plugin compatibility.
      You currently let users think that plugins will be 100% compatible, which is not true. They will be very upset when they discover they have been fooled.
      You should at least warn them that plugin will need to be upgraded to take advantage of the new UI and that will be up to the plugin developper to decide wether or not he wants to upgrade and wether or not it will be free, but since it requires quite an important amount of work, they will most likely have to pay for it.

      I’m not a big plugin developper, I have only one, and it’s one if the cheapest. I do not have a big user base (~20 users max but they obviously like my plugin and the support I provide) - so I’m not an interesting developper for you and you probably won’t take into account my advice.

      I really love HS3, but honestly, I am not convienced by upgrades brought with HS4. I currently do not plan to upgrade myself and it is the same for my plugin.
      I may consider upgrading it if my users switch to HS4 and want me to upgrade the plugin.
      But in this case, I will be forced to do it for free ! How can I sell them a plugin that brings no more feature, when all my previous updates, which brought real new feature were free !


      Envoyé de mon iPhone en utilisant Tapatalk

      Comment


        #4
        Originally posted by alexbk66 View Post
        When cant I inform my users that HS3 plugins won't work with HS4?
        And tell them that I have to re-write the plugins to work with HS4 (if I have time)?
        And that they will have to pay for upgrade?
        Alex, we will be making an announcement along side our publishing of the upgrade prices and path. We are aiming for this week. I will keep you guys updated. I agree, making sure existing users know the difference is a must.

        ~Jon
        Jon Smith
        website | products | support | youtube

        Comment


          #5
          Thank you jseer Jon

          Comment


            #6
            jseer rjh maybe you should make some announcement sooner rather than later? As people still think HS3 plugins all work just fine with HS4... latest posting of it...

            https://forums.homeseer.com/forum/ho...49#post1328449

            If this isn't squashed and people informed of reality this will cause some MAJOR upset among users finding out the hard way.

            Comment


              #7
              Originally posted by simplextech View Post
              jseer rjh maybe you should make some announcement sooner rather than later? As people still think HS3 plugins all work just fine with HS4... latest posting of it...

              https://forums.homeseer.com/forum/ho...49#post1328449

              If this isn't squashed and people informed of reality this will cause some MAJOR upset among users finding out the hard way.
              Thanks for the input John. We will take care of it!
              Jon Smith
              website | products | support | youtube

              Comment


                #8
                Originally posted by simplextech View Post
                jseer rjh maybe you should make some announcement sooner rather than later? As people still think HS3 plugins all work just fine with HS4... latest posting of it...

                https://forums.homeseer.com/forum/ho...49#post1328449

                If this isn't squashed and people informed of reality this will cause some MAJOR upset among users finding out the hard way.
                I have not really been reading on the forum in a few days but I thought you could run a HS3 plugin in HS4 and it would work.
                I have run one of mine here in HS4 and it seems to run at first glance
                What am I missing?
                Cheers,
                Bob
                Web site | Help Desk | Feature Requests | Message Board

                Comment


                  #9
                  Originally posted by Blade View Post

                  I have not really been reading on the forum in a few days but I thought you could run a HS3 plugin in HS4 and it would work.
                  I have run one of mine here in HS4 and it seems to run at first glance
                  What am I missing?
                  I haven't come across any major roadblock but recommend you do test at length as I've seen a number of issues running my HS3 PI as-is under HS4.

                  Issues:
                  - some latest HS3 fixes didn't make it into HS4 (for me it is timing around getipaddress at init)
                  - some devices under the new UI, some button/status isn't showing up
                  - some of the controls (range slider) has some issues
                  - I'm having issues with activating and deactivating my (HS3) PI under Manage PI new screen. Might be a multipleInstanceSingeExe kind of thing. Same for starting a PI remote (example from debugger IDE), it doesn't show under the manage PI screen so you can't properly stop you PI, nor deactivate.

                  Haven't gotten to the part of event creation which seems to be different between HS3 and HS4 so I wonder how this interaction will work, but as I said, it may work, haven't been able to test it yet.

                  My $0.02

                  Comment


                    #10
                    Originally posted by Blade View Post

                    I have not really been reading on the forum in a few days but I thought you could run a HS3 plugin in HS4 and it would work.
                    I have run one of mine here in HS4 and it seems to run at first glance
                    What am I missing?
                    Go and try my Life360 or AmbientWeather or well any of my plugins. NONE of them work/display correctly with HS4 because of the UI. Due to this I want to know when I can inform my users of this issue. People are starting to ask about HS4.

                    Comment


                      #11
                      OK I have only tested my BLRoombaWifi plugin and the pages seem to load fine but force the HS3 UI
                      Huge mistake not to have HS3 plugins fully work in HS4 because I see absolutely no reason to upgrade mine for just UI looks
                      I have way too many of them
                      Cheers,
                      Bob
                      Web site | Help Desk | Feature Requests | Message Board

                      Comment


                        #12
                        Originally posted by Blade View Post
                        OK I have only tested my BLRoombaWifi plugin and the pages seem to load fine but force the HS3 UI
                        Huge mistake not to have HS3 plugins fully work in HS4 because I see absolutely no reason to upgrade mine for just UI looks
                        I have way too many of them
                        MY POINT EXACTLY!

                        Comment


                          #13
                          Originally posted by jseer View Post

                          Thanks for the input John. We will take care of it!
                          jseer rjh OH is this what you mean by "take care of it"?????

                          https://forums.homeseer.com/forum/in...78#post1328878

                          So now Rich you've gone out and boldly proclaimed that HS3 plugins are supported in HS4... yeah BUT THEY DON'T WORK with the new UI therefore they DO NOT WORK with HS4 they work with HS3 UI which is NOT HS4 because HS4 is ONLY THE UI and changes made to SUPPORT THE UI.....

                          sirmeili , alexbk66, Blade bpwwer Shodan Anyone have a HS3 plugin that WORKS with HS4 without any re-coding???? NONE OF MINE JUST WORK like the magic being sold!

                          Comment


                            #14
                            I will get a few more of mine installed and tested but it might be the weekend before I get to it
                            It would be very bad if HS3 plugins do not run in HS4
                            Cheers,
                            Bob
                            Web site | Help Desk | Feature Requests | Message Board

                            Comment


                              #15
                              Originally posted by Blade View Post
                              I will get a few more of mine installed and tested but it might be the weekend before I get to it
                              It would be very bad if HS3 plugins do not run in HS4
                              For the "most part" they run. However they do not display correctly at all in the HS4 UI and a lot of things like popups and such aren't working correctly. The backend of the plugins still seem to function but the UI parts of the plugins are completely fubar and as several of mine use OAuth or postback to receive data from 3rd parties they are not working and no example of even how to convert that piece has been provided even though I've asked for it.

                              Comment

                              Working...
                              X